Skip to content

Retrieve Running Experiments

Retrieve all running experiments from your Storyblok space.

GET
https://api.storyblok.com/v2/cdn/experiments
  • cv integer

    Cached version Unix timestamp. Learn more in the Caching concept.

  • token required string

    A preview or public access token configured in a space.

  • experiments array<Experiment>

    The experiments object.

    Show child properties
    • id integer

      Numeric ID of the experiment.

    • name string

      Internal name (lowercase letters, numbers, and underscores).

    • display_name string

      Human-readable display name.

    • story_ids array<integer>

      IDs of stories assigned to the experiment.

    • variants array<ExperimentVariant>

      Variants belonging to the experiment.

      Show child properties
      • name string

        Internal name (lowercase letters, numbers, and underscores).

      • display_name string

        Human-readable display name.

      • public_id string

        Public identifier for stable bucketing.

      • weight integer

        Traffic weight percentage (0-100).

      • is_control boolean

        Returns true if the variant is the control.

      • story_mappings array<object>

        Mappings between original stories and their variant copies.

        Show child properties
        • original_story_id integer

          Numeric ID of the original story.

        • original_slug string | null

          Slug of the original story.

        • variant_story_id integer | null

          Numeric ID of the variant story copy.

        • variant_slug string | null

          Slug of the variant story copy.

  • cv integer | null

    Cached version Unix timestamp. Learn more in the Caching concept.

curl "https://api.storyblok.com/v2/cdn/experiments\
?token=ask9soUkv02QqbZgmZdeDAtt"
Response
{
"experiments": [
{
"id": 501,
"name": "homepage_hero_test",
"display_name": "Homepage Hero Test",
"story_ids": [
371891025
],
"variants": [
{
"name": "control",
"display_name": "Control",
"public_id": "var_abc123def456",
"weight": 50,
"is_control": true,
"story_mappings": [
{
"original_story_id": 371891025,
"original_slug": "home",
"variant_story_id": null,
"variant_slug": null
}
]
},
{
"name": "variant_a",
"display_name": "Variant A",
"public_id": "var_789ghi012jkl",
"weight": 50,
"is_control": false,
"story_mappings": [
{
"original_story_id": 371891025,
"original_slug": "home",
"variant_story_id": 371891777,
"variant_slug": "home-variant-a"
}
]
}
]
}
],
"cv": 1709500000
}

Was this page helpful?

What went wrong?

This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window).Terms of Service (opens in a new window) apply.